%global gem_name addressable
Name:                rubygem-%{gem_name}
Version:             2.8.0
Release:             1
Summary:             URI Implementation
License:             ASL 2.0
URL:                 https://github.com/sporkmonger/addressable
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel rubygem(bigdecimal) rubygem(public_suffix)
BuildRequires:       rubygem(rspec-its) rubygem(idn)
BuildArch:           noarch

%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for URI and URL templates.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
sed -i "/require 'bundler\/setup'/ s/^/#/" spec/spec_helper.rb
sed -i '/^begin$/,/^end$/ s/^/#/' spec/spec_helper.rb
mv spec/addressable/net_http_compat_spec.rb{,.disabled}
LC_ALL=C.UTF-8 rspec spec/
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/data
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Thu Jun 30 2022 wulei <wulei80@h-partners.com> - 2.8.0-1
- Upgrade to 2.8.0

* Fri Jan 21 2022 chenchen <chen_aka_jan@163.com> - 2.5.2-3
- remove deprecated warning for fix build error

* Wed Jul 14 2021 liwu <liwu13@huawei.com> - 2.5.2-2
- fix CVE-2021-32740

* Tue Aug 18 2020 shenleizhao <shenleizhao@huawei.com> - 2.5.2-1
- package init
